%define major	0
%define apiver	2.0
%define libname	%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname	SDL2_mixer

Summary:	Simple DirectMedia Layer 2 - mixer
Name:		sdl2_mixer
Version:	2.0.1
Release:	%mkrel 1
License:	Zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{sname}-%{version}.tar.xz
#--------------------------------
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}fluidsynth1-devel
BuildRequires: %{_lib}modplug-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}vorbis0-devel
#--------------------------------

%description
SDL2_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/Libraries
Requires:     %{libname} = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	SDL_mixer-player

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure2_5x	--enable-music-mod \
		--disable-music-ogg-shared \
		--disable-music-flac-shared
%make

iconv -f ISO-8859-1 -t UTF-8 CHANGES.txt > CHANGES.tmp
touch -r CHANGES.txt CHANGES.tmp
mv CHANGES.tmp CHANGES.txt

%install
rm -rf %buildroot
%makeinstall_std install-bin

#dont want this
rm -f %buildroot/%{_libdir}/*.la

%files -n %{name}-player
%defattr(-,root,root)
%doc README.txt
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING.txt
%doc timidity/FAQ timidity/README
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc

%files -n %{develsname}
%defattr(-,root,root)
%{_libdir}/*.a

%clean
rm -rf %buildroot

%changelog
* Sat Jan 16 2016 bb <bb> 2.0.1-1pclos2016
- update

* Sun Mar 23 2014 bb <bb> 2.0.0-1pclos2014
- update
